%define upstream_name    Dist-Zilla-PluginBundle-YANICK
%define upstream_version 0.25.1

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Be like Yanick when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::CPANFile)
BuildRequires: perl(Dist::Zilla::Plugin::ChangeStats::Git)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CoalescePod)
BuildRequires: perl(Dist::Zilla::Plugin::CoderwallEndorse)
BuildRequires: perl(Dist::Zilla::Plugin::ContributorsFile)
BuildRequires: perl(Dist::Zilla::Plugin::Covenant)
BuildRequires: perl(Dist::Zilla::Plugin::DOAP)
BuildRequires: perl(Dist::Zilla::Plugin::Git)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::HelpWanted)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide) >= 1.200.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MatchManifest)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::NextVersion::Semantic)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PreviousVersion::Changelog)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeMarkdownFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::SchwartzRatio)
BuildRequires: perl(Dist::Zilla::Plugin::Signature)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 2.33.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::PAUSE::Permissions)
BuildRequires: perl(Dist::Zilla::Plugin::Test::UnusedVars)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter) >= 0.25.0
BuildRequires: perl(Dist::Zilla::Plugin::VerifyPhases)
BuildRequires: perl(Dist::Zilla::Role::MintingProfile::ShareDir)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle that Yanick uses to release his distributions.
It's roughly equivalent to

    [ModuleBuild]

    [GithubMeta]
    remote=github

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon May 09 2016 shlomif <shlomif> 0.25.1-1.mga6
+ Revision: 1011243
- update to 0.25.1

* Fri Feb 19 2016 umeabot <umeabot> 0.24.0-2.mga6
+ Revision: 968528
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 0.24.0-1.mga6
+ Revision: 852848
- update to 0.24.0

* Sun Jul 05 2015 sander85 <sander85> 0.23.0-2.mga6
+ Revision: 851150
- Exclude requires from _docdir

* Sun Jul 05 2015 sander85 <sander85> 0.23.0-1.mga6
+ Revision: 850848
- update to 0.23.0

* Wed Oct 15 2014 umeabot <umeabot> 0.21.0-3.mga5
+ Revision: 741708
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 0.21.0-1.mga5
+ Revision: 670647
- update to 0.21.0

* Fri May 02 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 619633
- update to 0.20.0

* Tue Feb 25 2014 jquelin <jquelin> 0.19.0-1.mga5
+ Revision: 596919
- update to 0.19.0

* Mon Oct 21 2013 umeabot <umeabot> 0.18.3-2.mga4
+ Revision: 537792
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.18.3-1.mga4
+ Revision: 487740
- update to 0.18.3

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 366707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.13.0-1.mga3
+ Revision: 317859
- update to 0.13.0

* Wed Sep 26 2012 jquelin <jquelin> 0.12.0-1.mga3
+ Revision: 298354
- update to 0.12.0

* Mon Dec 12 2011 jquelin <jquelin> 0.5.0-1.mga2
+ Revision: 180940
- update to 0.5.0

* Thu Oct 13 2011 jquelin <jquelin> 0.4.2-1.mga2
+ Revision: 154436
- update to 0.4.2

* Wed Aug 31 2011 jquelin <jquelin> 0.4.1-1.mga2
+ Revision: 137054
- update to 0.4.1
- update to 0.4.0

* Tue Mar 15 2011 jquelin <jquelin> 0.1.0-1.mga1
+ Revision: 71710
- imported package perl-Dist-Zilla-PluginBundle-YANICK

